## silver-platter 0.2.0+git20191022.7591492

=== Makefile ===
check:
	flake8
	python3 setup.py test

## silver-platter 0.1.0

=== debian/changelog ===
silver-platter (0.1.0-1) unstable; urgency=medium

  * debian/copyright: Fix copyright year.
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 06 Apr 2019 23:25:28 +0000

silver-platter (0.0.3-1) experimental; urgency=medium

  * Initial release. (Closes: #921302)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 10 Feb 2019 17:11:43 +0000

=== debian/control ===
Source: silver-platter
Section: vcs
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper (>= 12~),
               dh-python,
               brz-debian,
               python3-all,
               python3-breezy (>= 3.0.0~bzr7199),
               python3-breezy.tests,
               python3-dulwich (>= 0.19.7),
               python3-github,
               python3-gitlab,
               python3-launchpadlib,
               lintian-brush
Standards-Version: 4.3.0
Homepage: https://www.jelmer.uk/code/silver-platter
Vcs-Git: https://salsa.debian.org/jelmer/silver-platter.git
Vcs-Browser: https://salsa.debian.org/jelmer/silver-platter

Package: silver-platter
Architecture: all
Depends: devscripts,
         brz-debian,
         python3-breezy (>= 3.0.0~bzr7199),
         python3-dulwich (>= 0.19.7),
         python3-github,
         python3-gitlab,
         python3-launchpadlib,
         ${misc:Depends},
         ${python3:Depends}
Recommends: brz, lintian-brush
Description: automatically create merge proposals
 Silver-Platter makes it possible to contribute automatable changes to source
 code in a version control system.
 .
 It automatically creates a local checkout of a remote repository,
 make user-specified changes, publish those changes on the remote hosting
 site and then creates pull request.
 .
 In addition to that, it can also perform basic maintenance on branches
 that have been proposed for merging - such as restarting them if they
 have conflicts due to upstream changes.

=== debian/tests/control ===
Tests: testsuite
Depends: @, lintian-brush
Restrictions: allow-stderr

## silver-platter 0.2.0+git20191022.7591492

=== debian/changelog ===
silver-platter (0.2.0+git20191022.7591492-1) unstable; urgency=medium

  * New upstream snapshot.
  * Update standards version to 4.4.1, no changes needed.
  * Re-export upstream signing key without extra signatures.
  * Remove unnecessary build-dependency on python-distro-info. Closes:
    #943211

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 23 Oct 2019 22:36:19 +0000

silver-platter (0.2.0+git20190901.fe90a04-1) unstable; urgency=medium

  * Bump dependency on brz-debian to 2.8.28.
  * debian/tests/control: Add missing dependency on python3-
    breezy.tests.
  * New upstream snapshot.
  * Bump minimum brz-debian to 2.8.30.
  * Update standards version, no changes needed.
  * Bump debhelper from old 11 to 12.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * Bump minimum lintian-brush to 0.28.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 05 Sep 2019 01:46:23 +0000

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Section: vcs
 Priority: optional
 Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
-Build-Depends: debhelper (>= 12~),
-               dh-python,
-               brz-debian,
+Build-Depends: dh-python,
+               brz-debian (>= 2.8.30),
                python3-all,
-               python3-breezy (>= 3.0.0~bzr7199),
+               python3-breezy (>= 3.0.0),
                python3-breezy.tests,
+               python3-distro-info,
                python3-dulwich (>= 0.19.7),
                python3-github,
                python3-gitlab,
                python3-launchpadlib,
-               lintian-brush
-Standards-Version: 4.3.0
+               lintian-brush (>= 0.28),
+               debhelper-compat (= 12)
+Standards-Version: 4.4.1
 Homepage: https://www.jelmer.uk/code/silver-platter
 Vcs-Git: https://salsa.debian.org/jelmer/silver-platter.git
 Vcs-Browser: https://salsa.debian.org/jelmer/silver-platter
@@ -21,15 +22,16 @@
 Package: silver-platter
 Architecture: all
 Depends: devscripts,
-         brz-debian,
-         python3-breezy (>= 3.0.0~bzr7199),
+         brz-debian (>= 2.8.30),
+         python3-breezy (>= 3.0.0),
          python3-dulwich (>= 0.19.7),
+         python3-distro-info,
          python3-github,
          python3-gitlab,
          python3-launchpadlib,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: brz, lintian-brush
+Recommends: brz, lintian-brush (>= 0.28)
 Description: automatically create merge proposals
  Silver-Platter makes it possible to contribute automatable changes to source
  code in a version control system.

## silver-platter 0.3.0+git20200906.d2bd137

=== debian/changelog ===
silver-platter (0.3.0+git20200906.d2bd137-1build1) groovy; urgency=medium

  * Rebuild against to pick up proposed pocket.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Oct 2020 19:08:15 +0200

silver-platter (0.3.0+git20200906.d2bd137-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 06 Sep 2020 19:58:55 +0000

silver-platter (0.3.0+git20200906.07a6d1b-1) unstable; urgency=medium

  * New upstream snapshot.
  * Fixes compatibility with newer versions of breezy-debian. Closes:
    #969665
  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 06 Sep 2020 19:48:41 +0000

silver-platter (0.3.0+git20200611.b4292bf-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 11 Jun 2020 01:54:55 +0000

silver-platter (0.3.0+git20200530.3e19145-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 31 May 2020 02:03:44 +0000

silver-platter (0.3.0+git20200517.38c492c-1) unstable; urgency=medium

  * New upstream snapshot.
   + Ensures breezy is correctly initialized. Closes: #960862

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 17 May 2020 18:02:49 +0000

silver-platter (0.3.0+git20200516.9f9af15-1) unstable; urgency=medium

  * New upstream snapshot.
   + Fixes compatibility with newer brz-debian. Closes: #960751
  * Bump debhelper from old 12 to 13.
  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 16 May 2020 14:10:10 +0000

silver-platter (0.3.0-1) unstable; urgency=medium

  * New upstream snapshot.
  * Set Rules-Requires-Root.
  * New upstream release.
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 17 Apr 2020 23:57:52 +0000

=== debian/control ===
Source: silver-platter
Section: vcs
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: dh-python,
               brz-debian (>= 2.8.41),
               python3-all,
               python3-breezy (>= 3.1.0),
               python3-breezy.tests,
               python3-distro-info,
               python3-dulwich (>= 0.19.7),
               python3-launchpadlib,
               python3-yaml,
               python3-testtools,
               lintian-brush (>= 0.70),
               debhelper-compat (= 13)
Standards-Version: 4.5.0
Homepage: https://www.jelmer.uk/code/silver-platter
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/jelmer/silver-platter.git
Vcs-Browser: https://salsa.debian.org/jelmer/silver-platter

Package: silver-platter
Architecture: all
Depends: devscripts,
         brz-debian (>= 2.8.41),
         python3-breezy (>= 3.1.0),
         python3-dulwich (>= 0.19.7),
         python3-distro-info,
         python3-launchpadlib,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends}
Conflicts: lintian-brush (<< 0.40)
Recommends: brz, lintian-brush (>= 0.70)
Description: automatically create merge proposals
 Silver-Platter makes it possible to contribute automatable changes to source
 code in a version control system.
 .
 It automatically creates a local checkout of a remote repository,
 make user-specified changes, publish those changes on the remote hosting
 site and then creates pull request.
 .
 In addition to that, it can also perform basic maintenance on branches
 that have been proposed for merging - such as restarting them if they
 have conflicts due to upstream changes.

## silver-platter 0.3.0+git20201123.02992d4

=== debian/changelog ===
silver-platter (0.3.0+git20201123.02992d4-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 Nov 2020 23:12:18 +0000

## silver-platter 0.4.0

=== debian/changelog ===
silver-platter (0.4.0-1) unstable; urgency=medium

  * New upstream release.
   + Add subcommand to upload pending changes. Closes: #942602
   + Add subcommand import-upload to upload changes missing from
     VCS. Closes: #942598
  * Re-export upstream signing key without extra signatures.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 01 Feb 2021 23:34:24 +0000

## silver-platter 0.4.1

=== Makefile ===
all: silver_platter/release/config_pb2.py

check:
	flake8
	mypy silver_platter/
	python3 setup.py test

typing:
	mypy silver_platter/

style:
	flake8

%_pb2.py: %.proto
	protoc --python_out=. $<

=== debian/changelog ===
silver-platter (0.4.1-2) unstable; urgency=medium

  * Bump minimum breezy-debian version to something that supports
    debcommit. Closes: #983008

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 18 Feb 2021 13:05:11 +0000

silver-platter (0.4.1-1) unstable; urgency=medium

  * New upstream release.
   + Depend on upstream ontologist for upstream metadata. Closes: #982994

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 17 Feb 2021 22:47:59 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Build-Depends: dh-python,
                brz-debian (>= 2.8.41),
                python3-all,
-               python3-breezy (>= 3.1.0),
+               python3-breezy (>= 2.8.50),
                python3-breezy.tests,
                python3-distro-info,
                python3-dulwich (>= 0.19.7),
                python3-launchpadlib,
                python3-yaml,
                python3-testtools,
+               python3-upstream-ontologist,
                lintian-brush (>= 0.70),
                debhelper-compat (= 13)
 Standards-Version: 4.5.0
@@ -23,12 +24,13 @@
 Package: silver-platter
 Architecture: all
 Depends: devscripts,
-         brz-debian (>= 2.8.41),
+         brz-debian (>= 2.8.50),
          python3-breezy (>= 3.1.0),
          python3-dulwich (>= 0.19.7),
          python3-distro-info,
          python3-launchpadlib,
          python3-yaml,
+         python3-upstream-ontologist,
          ${misc:Depends},
          ${python3:Depends}
 Conflicts: lintian-brush (<< 0.40)

## silver-platter 0.4.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-all: silver_platter/release/config_pb2.py
+all:
 
 check:
 	flake8

=== debian/changelog ===
silver-platter (0.4.5-1ubuntu1) jammy; urgency=medium

  * d/patches/0001-remove-debmutate-dep-version.patch: don't specify version
    of debmutate needed in setup.py to fix builds in Ubuntu environment

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 19 Jan 2022 16:33:11 -0600

silver-platter (0.4.5-1) unstable; urgency=low

  * New upstream release.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 01 Jan 2022 14:27:00 +0000

silver-platter (0.4.3-1) unstable; urgency=low

  * New upstream release.
   + Add dependency on python3-jinja2.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 08 Jul 2021 09:25:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: silver-platter
 Section: vcs
 Priority: optional
-Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends: dh-python,
                brz-debian (>= 2.8.41),
                python3-all,
@@ -10,12 +11,14 @@
                python3-distro-info,
                python3-dulwich (>= 0.19.7),
                python3-launchpadlib,
+               python3-jinja2,
+               python3-pip,
                python3-yaml,
                python3-testtools,
                python3-upstream-ontologist,
                lintian-brush (>= 0.70),
                debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://www.jelmer.uk/code/silver-platter
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/jelmer/silver-platter.git
@@ -28,6 +31,7 @@
          python3-breezy (>= 3.1.0),
          python3-dulwich (>= 0.19.7),
          python3-distro-info,
+         python3-jinja2,
          python3-launchpadlib,
          python3-yaml,
          python3-upstream-ontologist,

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/silver-platter/silver-platter-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## silver-platter 0.5.0

=== Makefile ===
all:

coverage:
	python3 -m coverage run -m unittest silver_platter.tests.test_suite

coverage-html:
	python3 -m coverage html

check:: style

style:
	flake8

check:: typing

typing:
	mypy silver_platter/

check:: testsuite

testsuite:
	python3 setup.py test

%_pb2.py: %.proto
	protoc --python_out=. $<

=== debian/changelog ===
silver-platter (0.5.0-1) unstable; urgency=medium

  * debian/upstream/metadata: Update Repository location.
  * New upstream release.
   + Fixes compatibility with newer Breezy. Closes: #1021796

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 23 Oct 2022 10:26:54 +0100

## silver-platter 0.5.3

=== debian/changelog ===
silver-platter (0.5.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 16 Dec 2022 16:27:19 +0000

## silver-platter 0.5.6

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 all:
 
 coverage:
-	python3 -m coverage run -m unittest silver_platter.tests.test_suite
+	python3 -m coverage run -m unittest tests.test_suite
 
 coverage-html:
 	python3 -m coverage html

=== debian/changelog ===
silver-platter (0.5.6-2) unstable; urgency=medium

  * Fix test suite invocation in debian/tests/control. Closes: #1031303

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 14 Feb 2023 19:42:23 +0000

silver-platter (0.5.6-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 05 Feb 2023 13:46:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: silver-platter
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
+Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends: dh-python,
                brz-debian (>= 2.8.41),
                python3-all,
-               python3-breezy (>= 2.8.50),
+               python3-breezy (>= 3.3.0),
                python3-breezy.tests,
                python3-distro-info,
                python3-dulwich (>= 0.19.7),
@@ -28,7 +27,7 @@
 Architecture: all
 Depends: devscripts,
          brz-debian (>= 2.8.50),
-         python3-breezy (>= 3.1.0),
+         python3-breezy (>= 3.3.0),
          python3-dulwich (>= 0.19.7),
          python3-distro-info,
          python3-jinja2,

=== debian/tests/control ===
Tests: testsuite
Depends: @, lintian-brush, python3-breezy.tests
Restrictions: allow-stderr

## silver-platter 0.5.23

=== Makefile ===
all: build-inplace

build-inplace:
	python3 setup.py build_ext -i
	python3 setup.py build_rust -i

coverage: build-inplace
	python3 -m coverage run -m unittest tests.test_suite

coverage-html:
	python3 -m coverage html

check:: style

style:
	PYTHONPATH=$(shell pwd)/py ruff check py/silver_platter/

fix:
	ruff check --fix .
	cargo fmt --all

format:
	ruff format .
	cargo fmt --all

check:: typing

typing: build-inplace
	mypy py/

check:: testsuite

testsuite: build-inplace
	python3 setup.py test

=== debian/changelog ===
silver-platter (0.5.23-1) unstable; urgency=medium

  * Drop upstream PGP signature; no longer supported by pypi
  * New upstream release.
  * Change architecture to any, since it now ships .so files.
  * New upstream release.
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 15 Jun 2024 01:08:17 +0100

=== debian/control ===
Source: silver-platter
Section: vcs
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: brz-debian (>= 2.8.41),
               debhelper-compat (= 13),
               dh-python,
               librust-breezyshim-dev (>= 0.1.22),
               librust-clap-dev,
               librust-debian-analyzer-dev,
               librust-debian-changelog-dev,
               librust-debian-control-dev,
               librust-gpgme-dev,
               librust-lazy-regex-dev,
               librust-pyo3-log-dev,
               librust-reqwest-dev,
               librust-serde-json-dev,
               librust-serde-yaml-dev,
               librust-tera-dev,
               librust-trivialdb-dev,
               librust-xdg-dev,
               lintian-brush (>= 0.70),
               python3-all,
               python3-breezy (>= 3.3.0),
               python3-breezy.tests,
               python3-distro-info,
               python3-dulwich (>= 0.19.7),
               python3-jinja2,
               python3-launchpadlib,
               python3-pip,
               python3-setuptools,
               python3-setuptools-rust,
               python3-testtools,
               python3-upstream-ontologist,
               python3-yaml
Standards-Version: 4.6.2
Homepage: https://www.jelmer.uk/code/silver-platter
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/jelmer/silver-platter.git
Vcs-Browser: https://salsa.debian.org/jelmer/silver-platter

Package: silver-platter
Architecture: any
Depends: brz-debian (>= 2.8.50),
         devscripts,
         python3-breezy (>= 3.3.0),
         python3-distro-info,
         python3-dulwich (>= 0.19.7),
         python3-jinja2,
         python3-launchpadlib,
         python3-upstream-ontologist,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Conflicts: lintian-brush (<< 0.40)
Recommends: brz,
            lintian-brush (>= 0.70)
Description: automatically create merge proposals
 Silver-Platter makes it possible to contribute automatable changes to source
 code in a version control system.
 .
 It automatically creates a local checkout of a remote repository,
 make user-specified changes, publish those changes on the remote hosting
 site and then creates pull request.
 .
 In addition to that, it can also perform basic maintenance on branches
 that have been proposed for merging - such as restarting them if they
 have conflicts due to upstream changes.

## silver-platter 0.5.39

=== debian/changelog ===
silver-platter (0.5.39-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 Sep 2024 12:22:56 -0000

=== debian/tests/control ===
Tests: testsuite
Depends: lintian-brush,
         python3-breezy.tests,
         @
Restrictions: allow-stderr

## silver-platter 0.5.44

=== Makefile ===
all: build-inplace

build-inplace:
	python3 setup.py build_ext -i
	python3 setup.py build_rust -i

coverage: build-inplace
	python3 -m coverage run -m unittest tests.test_suite

coverage-html:
	python3 -m coverage html

check:: style

style:
	PYTHONPATH=$(shell pwd)/py ruff check py

fix:
	ruff check --fix py
	cargo fmt --all

format:
	ruff format py
	cargo fmt --all

check:: testsuite

testsuite:: build-inplace
	PYTHONPATH=$(shell pwd)/py python3 -m unittest tests.test_suite

testsuite::
	cargo test-all-features

=== debian/changelog ===
silver-platter (0.5.44-1build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 22 Oct 2025 11:58:17 +0000

silver-platter (0.5.44-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:23:31 +0000

silver-platter (0.5.44-1) unstable; urgency=low

  * New upstream release.
   + Fixes FTBFS. Closes: #1086317

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 19 Dec 2024 18:14:03 +0000

=== debian/rules ===
#!/usr/bin/make -f

export CARGO_HOME=$(shell pwd)/debian/cargo_home

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	mv Cargo.lock.saved Cargo.lock || true
	dh_auto_clean

override_dh_auto_build:
	mv Cargo.lock Cargo.lock.saved
	dh_auto_build

=== debian/tests/control ===
Tests: testsuite
Depends: python3-breezy.tests,
         @
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://pypi.debian.net/silver-platter/silver-platter-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## silver-platter 0.7.0

=== debian/changelog ===
silver-platter (0.7.0-2) unstable; urgency=medium

  * New upstream release.
   + Fixes FTBFS. Closes: #1100173, #1121382
  * Add lintian overrides for embedded libyaml - see #932634.
  * Run cargo tests with --test-threads=1, to prevent issues with
    breezyshim.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 26 Nov 2025 19:33:24 +0000

=== debian/control ===
Source: silver-platter
Section: vcs
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: brz-debian (>= 2.8.41),
               debhelper-compat (= 13),
               cargo:native,
               dh-sequence-rust,
               librust-chrono+default-dev (>= 0.4-~~),
               librust-clap-4+default-dev,
               librust-clap-4+derive-dev,
               librust-clap-4+env-dev,
               librust-debian-analyzer+default-dev (>= 0.159.2-~~),
               librust-debian-changelog-0.2+default-dev,
               librust-debian-control+default-dev (>= 0.1-~~),
               librust-debversion+default-dev (>= 0.1-~~),
               librust-debversion+python-debian-dev (>= 0.1-~~),
               librust-debversion+serde-dev (>= 0.1-~~),
               librust-env-logger+default-dev (>= 0.10-~~),
               librust-flate2-1+default-dev,
               librust-libc-0.2+default-dev,
               librust-log+default-dev (>= 0.4-~~),
               librust-percent-encoding-2+default-dev,
               librust-pyo3-filelike-0.5+default-dev,
               librust-pyo3-log+default-dev (>= 0.11-~~),
               librust-regex-1+default-dev,
               librust-reqwest+blocking-dev (>= 0.12-~~),
               librust-reqwest+default-dev (>= 0.12-~~),
               librust-serde-1+default-dev,
               librust-serde-1+derive-dev,
               librust-serde-json-1+default-dev,
               librust-serde-yaml+default-dev (>= 0.9-~~),
               librust-shlex-1+default-dev,
               librust-tempfile-3+default-dev,
               librust-tera-1+default-dev,
               librust-url-2+default-dev,
               librust-url-2+serde-dev,
               libstd-rust-dev,
               rustc:native,
               librust-breezyshim-0.7+debian-dev (>= 0.7.1-~~),
               librust-breezyshim-0.7+default-dev (>= 0.7.1-~~),
               librust-breezyshim-0.7+launchpad-dev (>= 0.7.1-~~),
               librust-pyo3-0.27+default-dev,
               librust-lazy-static+default-dev (>= 1.4.0-~~),
               librust-lazy-regex-3+default-dev,
               librust-rand-0.8+default-dev,
               librust-xdg-2+default-dev,
               librust-gpgme-0.11+default-dev,
               librust-pyo3-0.27+extension-module-dev,
               librust-trivialdb-0.1+default-dev (>= 0.1.7-~~),
               librust-launchpadlib-0.5+default-dev
Standards-Version: 4.6.2
Homepage: https://www.jelmer.uk/code/silver-platter
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/jelmer/silver-platter.git
Vcs-Browser: https://salsa.debian.org/jelmer/silver-platter

Package: silver-platter
Architecture: any
Depends: brz-debian (>= 2.8.50),
         devscripts,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: lintian-brush (<< 0.40)
Recommends: brz,
            lintian-brush (>= 0.70)
Description: automatically create merge proposals
 Silver-Platter makes it possible to contribute automatable changes to source
 code in a version control system.
 .
 It automatically creates a local checkout of a remote repository,
 make user-specified changes, publish those changes on the remote hosting
 site and then creates pull request.
 .
 In addition to that, it can also perform basic maintenance on branches
 that have been proposed for merging - such as restarting them if they
 have conflicts due to upstream changes.

=== debian/rules ===
#!/usr/bin/make -f

export CARGO_HOME=$(shell pwd)/debian/cargo_home

%:
	dh $@ --buildsystem=rust

override_dh_auto_clean:
	mv Cargo.lock.saved Cargo.lock || true
	dh_auto_clean

override_dh_auto_build:
	mv Cargo.lock Cargo.lock.saved
	dh_auto_build

override_dh_auto_test:
	dh_auto_test -- -- --test-threads=1
